Bug 832480 - repo upload failing
repo upload failing
Status: CLOSED WORKSFORME
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 10:01 EDT by Preethi Thomas
Modified: 2013-09-09 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-28 14:46:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-06-15 10:01:34 EDT
Description of problem:
v2 repo upload seems to be failing. I was able to upload a couple of rpms initially. After that I tried the pause & resume of upload and the upload itself seems to failining now. None of the upload operations work even afer a server restart.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. repo uploads rpm
2. ctrl+c to pause
3.repo uploads resume
  
Actual results:
An unexpected error has occurred. More information can be found in the client
log file ~/.pulp/admin.log.


Expected results:


Additional info:
From admin.log
2012-06-15 10:02:20,092 - ERROR - Client-side exception occurred
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/gc_client/framework/core.py", line 470, in run
    Cli.run(self, args)
  File "/usr/lib/python2.6/site-packages/okaara/cli.py", line 777, in run
    exit_code = command_or_section.execute(remaining_args)
  File "/usr/lib/python2.6/site-packages/okaara/cli.py", line 162, in execute
    self.method(*arg_list, **clean_kwargs)
  File "/var/lib/pulp_client/admin/extensions/rpm_upload/pulp_cli.py", line 260, in cancel
    upload_manager = _upload_manager(self.context)
  File "/var/lib/pulp_client/admin/extensions/rpm_upload/pulp_cli.py", line 323, in _upload_manager
    upload_manager.initialize()
  File "/usr/lib/python2.6/site-packages/pulp/gc_client/util/upload.py", line 124, in initialize
    tracker_file = UploadTracker.load(full_filename)
  File "/usr/lib/python2.6/site-packages/pulp/gc_client/util/upload.py", line 444, in load
    status_file = pickle.load(f)
  File "/usr/lib64/python2.6/pickle.py", line 1370, in load
    return Unpickler(file).load()
  File "/usr/lib64/python2.6/pickle.py", line 858, in load
    dispatch[key](self)
  File "/usr/lib64/python2.6/pickle.py", line 880, in load_eof
    raise EOFError
EOFError
Comment 1 Jay Dobies 2012-06-27 15:10:27 EDT
I can't seem to reproduce this. When does it happen, when you first type "pulp-admin repo uploads" or once you actually resume the upload? Next time it happens, can you do an "ls -al ~/.pulp/uploads" and ping me so I can check out the client system?
Comment 2 Preethi Thomas 2012-06-28 14:46:04 EDT
I can't seem to reproduce this issue anymore

[root@preethi-el6-pulp ~]# pulp-admin -u admin -p admin repo uploads rpm --repo-id test --file pulp-0.0.295-1.fc16.noarch.rpm  -v+----------------------------------------------------------------------+
                               RPM Upload
+----------------------------------------------------------------------+

RPMs to be uploaded:
  pulp-0.0.295-1.fc16.noarch.rpm

Extracting necessary metdata for each RPM...
[==================================================] 100%
Analyzing: pulp-0.0.295-1.fc16.noarch.rpm
... completed

Creating upload requests on the server...
[==================================================] 100%
Initializing: pulp-0.0.295-1.fc16.noarch.rpm
... completed

Starting upload of selected packages. If this process is stopped through ctrl+c,
the uploads will be paused and may be resumed later using the resume command or
cancelled entirely using the cancel command.

Uploading: pulp-0.0.295-1.fc16.noarch.rpm
^CUploading paused




[root@preethi-el6-pulp ~]# pulp-admin -u admin -p admin repo uploads  resume
+----------------------------------------------------------------------+
                            Upload Requests
+----------------------------------------------------------------------+

Select one or more uploads to resume: 
  -  1 : redhat-ddns-client-1.3-3.noarch.rpm
  -  2 : pulp-0.0.295-1.fc16.noarch.rpm
Enter value (1-2) to toggle selection, 'c' to confirm selections, or '?' for
more commands: 2

Select one or more uploads to resume: 
  -  1 : redhat-ddns-client-1.3-3.noarch.rpm
  x  2 : pulp-0.0.295-1.fc16.noarch.rpm
Enter value (1-2) to toggle selection, 'c' to confirm selections, or '?' for
more commands: ^C



[root@preethi-el6-pulp ~]# pulp-admin -u admin -p admin repo uploads  resume
+----------------------------------------------------------------------+
                            Upload Requests
+----------------------------------------------------------------------+

Select one or more uploads to resume: 
  -  1 : redhat-ddns-client-1.3-3.noarch.rpm
  -  2 : pulp-0.0.295-1.fc16.noarch.rpm
Enter value (1-2) to toggle selection, 'c' to confirm selections, or '?' for
more commands: 2

Select one or more uploads to resume: 
  -  1 : redhat-ddns-client-1.3-3.noarch.rpm
  x  2 : pulp-0.0.295-1.fc16.noarch.rpm
Enter value (1-2) to toggle selection, 'c' to confirm selections, or '?' for
more commands: c

Resuming upload for: pulp-0.0.295-1.fc16.noarch.rpm

Starting upload of selected packages. If this process is stopped through ctrl+c,
the uploads will be paused and may be resumed later using the resume command or
cancelled entirely using the cancel command.

Uploading: pulp-0.0.295-1.fc16.noarch.rpm
[==================================================] 100%
933869/933869 bytes
... completed

Importing into the repository...
^CUploading paused

[root@preethi-el6-pulp ~]# pulp-admin -u admin -p admin repo uploads  resume
+----------------------------------------------------------------------+
                            Upload Requests
+----------------------------------------------------------------------+

Select one or more uploads to resume: 
  -  1 : redhat-ddns-client-1.3-3.noarch.rpm
  -  2 : pulp-0.0.295-1.fc16.noarch.rpm
Enter value (1-2) to toggle selection, 'c' to confirm selections, or '?' for
more commands: 2

Select one or more uploads to resume: 
  -  1 : redhat-ddns-client-1.3-3.noarch.rpm
  x  2 : pulp-0.0.295-1.fc16.noarch.rpm
Enter value (1-2) to toggle selection, 'c' to confirm selections, or '?' for
more commands: c

Resuming upload for: pulp-0.0.295-1.fc16.noarch.rpm

Starting upload of selected packages. If this process is stopped through ctrl+c,
the uploads will be paused and may be resumed later using the resume command or
cancelled entirely using the cancel command.

Uploading: pulp-0.0.295-1.fc16.noarch.rpm
... completed

Importing into the repository...
... completed

Deleting the upload request...
... completed

Note You need to log in before you can comment on or make changes to this bug.